Bug 149642 - mrproper error RHEL4 x84_64
mrproper error RHEL4 x84_64
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-24 15:00 EST by Rick James
Modified: 2015-01-04 17:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-21 21:06:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick James 2005-02-24 15:00:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; .NET 
CLR 1.1.4322)

Description of problem:
Issuing 'make mrproper' in kernel source dir produces this error 
message:

scripts/Makefile.clean:10: Documentation/DocBook/Makefile: No such 
file or directory
make[1]: *** No rule to make target 
`Documentation/DocBook/Makefile'.  Stop.
make: *** [_mrproper_Documentation/DocBook] Error 2

Ditto for kernel-smp-devel (haven't tried hugemem).

Version-Release number of selected component (if applicable):
kernel-devel-2.6.9-5

How reproducible:
Always

Steps to Reproduce:
1. install kernel source rpm.
2. cd to source directory.
3. make mrproper.
    

Actual Results:  error message.

Expected Results:  no error message and cleaned up source tree.

Additional info:
Comment 1 Dave Jones 2005-04-21 21:06:40 EDT
the -devel rpm's aren't complete source trees, but a set of headers for
compiling modules against.  For the full source code, you need the .src.rpm

Note You need to log in before you can comment on or make changes to this bug.